Subject: Re: [PATCH] New version of net timestamp optimization

From: Ben Greear <[email-masked]>
Date: Wed, 30 Jun 2004 11:46:38 -0700

Andi Kleen wrote:
> On 07 Apr 2004 08:24:19 -0400
> jamal <[email-masked]> wrote:
> 
> 
>>The patch does look clean and attractive. I havent had time toi play
>>with it myself - but given the way gettimeofday has been torturing me
>>i will at some point. Also if you have time a 2.4.x patch would be
> 
> 
> Thanks. All feedback I received so far was positive. I hope DaveM will
> merge it soon. I don't have plans to work on 2.4 anymore.

I finally got around to working with 2.6, and I ran into the
new timestamp code.  I would like to be able to have timestamps
even though I do not have a socket structure (I am using a kernel
module to grab all frames)...

How would you feel about either exporting the netstamp_needed variable
or offering a method that explicitly incremented or decremented the
use count?

Thanks,
Ben

> -Andi

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com